Subject: Some general concerns/issues

From: Robin Layland <[email-masked]>
Date: Sun, 27 Jun 93 01:01 GMT

*****Forwarded Message
From: Himanshu C. Shah 
EMS: INTERNET / MCI ID: 376-5414
MBX: [email-masked]
To: RND - RAD NETWORK DE /MCI ID: 437-3580
To: Kim D Vance 
EMS: TI / MCI ID: 400-6329
MBX: SU=Vance
MBX: GI=Kim
MBX: IN=D
To: Robin Layland /MCI ID: 589-8042
To: larry 
EMS: INTERNET / MCI ID: 376-5414
MBX: [email-masked]
cc: aiw sig dlsw 
EMS: INTERNET / MCI ID: 376-5414
MBX: [email-masked]
Date: Fri Jun 25, 1993  3:25 pm  EST
*****
 
1. I do understand how multiple TIC usage works in a source routing
environment...the problem is:
 
When the first station attempts to contact the FEP (for example), the whole
CUR-ICR thing happens. If there are two different versions of the same
address out there, it will result in (at least) two ICR coming back. Note
that the originating switch does not realize that they are two different
TICs as opposed to one TIC coming back through two different remote switches.
The originating will choose one of the ICRs as the preferred route and the
other as the capable. My understanding is that it will test and use the
preferred route for each subsequent session to the FEP as long as it responds.
Thus, we end up the situation that "our" customers have not been willing
to accept.
-------
Well, that is easy to fix. You as DLS can do load share for the next
circuit initiation to poke the capable route rather than preferred
one. 
 
Although, you are right that RFC should provide some more
criteria/suggestion on detecting similar situations.
 
Himanshu
 
I also believe you will get some load balancing because each DLS router will
go through the procedure Himanshu stated (which I agree with). Each router will
make selection, they could all choose the same DLS router to use to reach the
FEP, but they may not. All the traffic from one DLS router will use the same
target DLS router but networks will multiple FEPs will find some DLS routers
will choose one and others will select the second sites( using the second sites
DLS router to reach the second FEP). The result is load balancing at the receive
(FEP) end. Not sure if this is good enoght for what Larry wanted but we
shouldn't try to make DLS solve all the problems.
 
I assume the route selected is the first to come back but I think that is up to
each vendor. 
 
The same load balancing  would happen if there were two routers at a single
FEP's location.
 
Note: I used router but I mean any equipment that implements DLS. Data Link
Switching Switch doesn't sound good.
 
Robin Layland